VERSION 5.00
Object = "{A45D986F-3AAF-4A3B-A003-A6C53E8715A2}#1.0#0"; "ARVIEW2.OCX"
Begin VB.Form frmArv 
   Caption         =   "Form1"
   ClientHeight    =   5235
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   9495
   Icon            =   "Arv.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5235
   ScaleWidth      =   9495
   StartUpPosition =   3  'Windows Default
   WindowState     =   2  'Maximized
   Begin DDActiveReportsViewer2Ctl.ARViewer2 ARV 
      Height          =   4335
      Left            =   2040
      TabIndex        =   0
      Top             =   720
      Width           =   6855
      _ExtentX        =   12091
      _ExtentY        =   7646
      SectionData     =   "Arv.frx":0442
   End
   Begin VB.Menu menuFile 
      Caption         =   "&File"
      Begin VB.Menu menuOpen 
         Caption         =   "&Open"
      End
      Begin VB.Menu menuSave 
         Caption         =   "&Save"
      End
      Begin VB.Menu menuSep 
         Caption         =   "-"
      End
      Begin VB.Menu menuExportPDF 
         Caption         =   "&Export to PDF"
      End
      Begin VB.Menu menuExportExcel 
         Caption         =   "Export to Ex&cel"
      End
      Begin VB.Menu menuSep3 
         Caption         =   "-"
      End
      Begin VB.Menu menuPrint 
         Caption         =   "&Print"
      End
      Begin VB.Menu menuSep2 
         Caption         =   "-"
      End
      Begin VB.Menu menuExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu menuHelp 
      Caption         =   "&Help"
   End
End
Attribute VB_Name = "frmArv"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Const CONST_PRINTTOOLID As Long = 999

Public Sub RunReport(rpt As Object)
     'Set the Viewer report source
    ' to the specified report object
    Set ARV.ReportSource = rpt
End Sub

Private Sub ARV_TOCSelChange(ByVal ItemIndex As Long)

    'MsgBox (ItemIndex)
    'FT table of contents done manually and pagenumber seems to be 0.
    'So it goes to the itemindex, one for each page.
    'Schedule D tools, Security Basis Report TOC is constructed in the
    'rpt and works the way it should, so let it work automatically.
On Error Resume Next
    If ARV.TOC(ItemIndex).pageNumber = 0 And ARV.TOC(ItemIndex).PageOffset = 0 Then
        ARV.TOC.GotoPage ItemIndex   'ARV.TOC(ItemIndex).pageNumber
    End If
    
End Sub


Private Sub ARV_ToolbarClick(ByVal Tool As DDActiveReportsViewer2Ctl.IDDTool)

    Dim p As Printer
    
    Select Case Tool.Caption
        Case Is = "&Print..."
#If TT_Prog Or sb_prog Or ft_prog Then
            ARV.Printer.FromPage = 1
            ARV.Printer.ToPage = ARV.pages.Count
            ARV.PrintReport True
#Else
            ARV.UseSourcePrinter = True
            If ARV.Printer.PrintDialog(Me.hWnd) Then
                If ARV.Printer.DeviceName = "PDF995" Then
                    For Each p In Printers
                        If p.DeviceName = "PDF995" Then
                            Set Printer = p
                            Exit For
                        End If
                    Next
                    'frmPDFoptions.LoadSettings Printer, "", 0
                End If
                ARV.PrintReport False
            End If
#End If
    End Select
    
End Sub


Private Sub Form_Load()

    Dim cnt As Integer
    
    HelpContextID = 105
#If Not sd_prog And Not ft_prog Then
    menuExportExcel.Visible = False
#End If

    For cnt = 0 To ARV.Toolbar.Tools.Count - 1
        If "&Print..." = ARV.Toolbar.Tools(cnt).Caption Then
            ARV.Toolbar.Tools(cnt).ID = CONST_PRINTTOOLID
            ARV.Toolbar.Tools(cnt).Enabled = True
        End If
    Next cnt
    
End Sub

Private Sub Form_Resize()

    On Error Resume Next
    ARV.Move 0, 0, ScaleWidth, ScaleHeight
    
End Sub


Private Sub Form_Unload(Cancel As Integer)
    
    On Error Resume Next
    If ARV.ReportSource Is Nothing Then Exit Sub
    Unload ARV.ReportSource
    Set ARV.ReportSource = Nothing

End Sub


Private Sub menuExit_Click()

    Unload Me
    
End Sub


Private Sub menuExportExcel_Click()

'Dim xls As New ActiveReportsExcelExport.ARExportExcel
'Dim sFile As String
'Dim bSave As Boolean
'
'    bSave = VBGetSaveFileName(sFile, "", True, _
'        "Excel File (*.XLS)| *.XLS", , ClientPath, _
'        "Export to XLS", "*.XLS", Me.hWnd, cdlOFNExplorer Or cdlOFNHideReadOnly Or cdlOFNLongNames)
'
'    If bSave Then xls.FileName = sFile Else Exit Sub
'
'    Screen.MousePointer = 11
'    If ARV.pages.Count > 0 Then
'        xls.Export ARV.pages
'    ElseIf Not ARV.ReportSource Is Nothing Then
'        If ARV.ReportSource.pages.Count > 0 Then
'            xls.Export ARV.ReportSource.pages
'        End If
'    End If
'    Set xls = Nothing
'    Screen.MousePointer = 0

End Sub

Private Sub menuExportPDF_Click()
'Dim pdf As New ActiveReportsPDFExport.ARExportPDF
'Dim sFile As String
'Dim bSave As Boolean
'
'    bSave = VBGetSaveFileName(sFile, "", True, _
'        "Portable Document Format (*.PDF)| *.PDF", , ClientPath, _
'        "Export to PDF", "*.PDF", Me.hWnd, cdlOFNExplorer Or cdlOFNHideReadOnly Or cdlOFNLongNames)
'
'    If bSave Then pdf.FileName = sFile Else Exit Sub
'
'    Screen.MousePointer = 11
'    If ARV.pages.Count > 0 Then
'        pdf.Export ARV.pages
'    ElseIf Not ARV.ReportSource Is Nothing Then
'        If ARV.ReportSource.pages.Count > 0 Then
'            pdf.Export ARV.ReportSource.pages
'        End If
'    End If
'    Set pdf = Nothing
'    Screen.MousePointer = 0

End Sub

Private Sub menuHelp_Click()

'    Dim r As Long
'    r = WinHelp(Me.hWnd, HelpPath, HELP_CONTEXT, CLng(Me.HelpContextID))

End Sub

Private Sub menuOpen_Click()
'Dim sFile As String
'Dim bOpen As Boolean
'
'    bOpen = VBGetOpenFileName(sFile, , _
'        True, False, True, True, _
'        "Report Document File (*.rdf)| *.rdf", 1, ClientPath, _
'        "Open Report Document File", "*.rdf", _
'        Me.hWnd)
'
'    If bOpen Then
'        If Not ARV.ReportSource Is Nothing Then
'            Set ARV.ReportSource = Nothing
'        End If
'        ARV.pages.Load sFile
'    End If

End Sub

Private Sub menuPrint_Click()

    Dim p As Printer
    
#If TT_Prog Or sb_prog Or ft_prog Then
    ARV.Printer.FromPage = 1
    ARV.Printer.ToPage = ARV.pages.Count
    If Not ARV.ReportSource Is Nothing Then
        ARV.ReportSource.PrintReport True
    Else
        ' Print the viewer
        ARV.PrintReport True
    End If
#Else
    If Not ARV.ReportSource Is Nothing Then
        If ARV.Printer.PrintDialog(frmArv.hWnd) Then
            'ARV.ReportSource.PrintReport True
            If ARV.Printer.DeviceName = "PDF995" Then
                For Each p In Printers
                    If p.DeviceName = "PDF995" Then
                        Set Printer = p
                        Exit For
                    End If
                Next
                'frmPDFoptions.LoadSettings Printer, "", 0
            End If
            ARV.ReportSource.PrintReport False
        End If
    Else
        ' Print the viewer
        If ARV.Printer.PrintDialog(frmArv.hWnd) Then
            'ARV.PrintReport True
            If ARV.Printer.DeviceName = "PDF995" Then
                For Each p In Printers
                    If p.DeviceName = "PDF995" Then
                        Set Printer = p
                        Exit For
                    End If
                Next
                'frmPDFoptions.LoadSettings Printer, "", 0
            End If
            ARV.PrintReport False
        End If
    End If
#End If

End Sub


Private Sub menuSave_click()
'Dim sFile As String
'Dim bSave As Boolean
'
'    bSave = VBGetSaveFileName(sFile, "", True, _
'        "Report Document Format (*.RDF)| *.RDF", , ClientPath, _
'        "Save Report", "*.RDF", Me.hWnd, cdlOFNExplorer Or cdlOFNHideReadOnly Or cdlOFNLongNames)
'
'    If Not bSave Then Exit Sub
'
'    Screen.MousePointer = 11
'    If ARV.pages.Count > 0 Then
'        ARV.pages.Save sFile
'    ElseIf Not ARV.ReportSource Is Nothing Then
'        If ARV.ReportSource.pages.Count > 0 Then
'            ARV.ReportSource.pages.Save sFile
'        End If
'    End If
'    Screen.MousePointer = 0

End Sub


